Name:          templating-maven-plugin
Version:       1.0.0
Release:       1%{?dist}
Summary:       Templating Maven Plugin
License:       ASL 2.0
URL:           http://www.mojohaus.org/templating-maven-plugin/
# https://github.com/wavesoftware/templating-maven-plugin-copy
# https://github.com/mojohaus/templating-maven-plugin/
Source0:       http://central.maven.org/maven2/org/codehaus/mojo/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven:maven-artifact)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-model)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires: mvn(org.apache.maven.shared:maven-filtering)
BuildRequires: mvn(org.assertj:assertj-core)
BuildRequires: mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires: mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.sonatype.plexus:plexus-build-api)

BuildArch:     noarch

%description
The Templating Maven Plugin handles copying files from
a source to a given output directory, while filtering them.
This plugin is useful to filter Java Source Code if you
need for example to have things in that code replaced
with some properties values. 

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

# Use only maven 3 apis
%pom_xpath_set pom:properties/pom:mavenVersion 3.3.3
%pom_remove_dep :maven-project

%pom_xpath_set pom:properties/pom:mojo.java.target 1.6

# @ random fails
#%% pom_remove_plugin :maven-invoker-plugin
#rm -r src/it/MOJO-2014
# Enable maven-invoker-plugin debug mode
#echo "invoker.debug = true" >> src/it/MOJO-2014/invoker.properties

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Feb 16 2016 gil cattaneo <puntogil@libero.it> 1.0.0-1
- update to 1.0.0

* Sun Aug 02 2015 gil cattaneo <puntogil@libero.it> 1.0-0.1.alpha.3
- initial rpm
